<template>
  <fieldset>
    <label for="sort">{{ t("Sort by") }}</label>
    <select name="sort" id="sort" :value="currentSettings.sort">
      <option
        v-for="(display, option) in sortOptions"
        :value="option"
        :key="option"
        >{{ t(display) }}</option
      >
    </select>
  </fieldset>
</template>

<script>
module.exports = {
  name: "todos",
  props: {
    currentSettings: {
      type: Object,
      required: true,
    },
    locale: {
      type: String,
      required: true
    }
  },
  data: function() {
    return {
      sortOptions: {
        created: "newest on top",
        created_reverse: "oldest on top",
        alphabetical: "title (A-Z)",
        alphabetical_reverse: "title (Z-A)"
      }
    };
  },
  computed: {
  },
  locales: {
    deDe: {
      "Sort by": "Sortieren nach",
      "newest on top": "Neueste zuerst",
      "oldest on top": "Älteste zuerst",
      "title (A-Z)": "Titel (A-Z)",
      "title (Z-A)": "Titel (Z-A)"
    },
    frFr: {
      "Sort by": "Trier par",
      "newest on top": "Dernier en date",
      "oldest on top": "Le plus vieux d'abord",
      "title (A-Z)": "titre (A-Z)",
      "title (Z-A)": "titre (Z-A)"
    },
    esEs: {
      "Sort by": "Ordenar por",
      "newest on top": "Lo último primero",
      "oldest on top": "Lo más antiguo primero",
      "title (A-Z)": "título (A-Z)",
      "title (Z-A)": "título (Z-A)"
    },
    plPl: {
      "Sort by": "Sortuj według",
      "newest on top": "Najnowsze pierwsze",
      "oldest on top": "Najpierw najstarszy, potem najstarszy",
      "title (A-Z)": "tytułu (A-Z)",
      "title (Z-A)": "tytułu (Z-A)"
    },
    koKr: {
      "Sort by": "정렬 기준",
      "newest on top": "가장 새로운 것부터",
      "oldest on top": "가장 오래된 것부터",
      "title (A-Z)": "별 (오름차순)",
      "title (Z-A)": "별 (내림차순)"
    }
  }
};
</script>
<style scoped>
/* your styles here */
</style>
